# HCMGIS - Geometry Processing and Field Calculation plugin for QGIS3

**HCMGIS** is a set of useful geometry processing and field calculation utilities:


**- Basemap**: Add global basemap from OSM Stamen, Carto, Google, HCMGIS Aerial Images,...

**- HCMGIS OpenData**:  Download free and open geodata from http://opendata.hcmgis.vn

**- Spatial Processing**: 

+ Create Skeleton/Medial Axis/ Centerline for road/ river networks and similar linear structures
+ Create Centerline in Polygon's gaps (E.g building blocks)
+ Finding closest/ farthest pair of Points in a Point set based on Voronoi Diagram
+ Merging layers (with the same attributes and geometry type), split Layer (based on unique field), geometric error checking, geometric correction, CRS transformation (VN2000 <--> WGS84,...).

**- Attribute Calculation**: merge/ split data fields, add prefix/ suffix, find & replace. Especially the Vietnamese Font Converter: Unicode <-> TCVN3 <-> Vni-Windows, UPPER CASE, lower case,...

# 

**HCMGIS** là QGIS3 plugin cung cấp một số công cụ xử lý hình học và thuộc tính:


**- Basemap**: Thêm bản đồ nền OSM Stamen, Carto, Google, HCMGIS Aerial Images,...trong QGIS

**- HCMGIS OpenData**:  Download miễn phí dữ liệu GIS từ http://opendata.hcmgis.vn


**-Xử lý không gian**: 
+ Tạo xương (skeleton/ medial axis/ Centerline) cho đối tượng dạng vùng (mạng giao thông/ sông rạch)
+ Tạo Centerline (tim hẻm, đường phân phối điện/ nước) cho các block nhà
+ Tìm cặp điểm gần nhất/ xa nhất cho một tập điểm dựa trên Voronoi Diagram
+ Gộp layers, tách layer, kiểm tra lỗi hình học, chỉnh sửa lỗi hình học, chuyển đổi hệ tọa độ.

**-Xử lý thuộc tính**: Gộp/ tách trường dữ liệu, thêm tiền tố/ hậu tố, find & replace. Đặc biệt là chức năng chuyển đổi font chữ tiếng Việt Unicode <--> TCVN3 <--> Vni-Windows, với các tiện ích IN HOA, Hoa Mỗi Từ, Hoa đầu câu, in thường, khong dau.
